NC 29 update richdocuments Error

Nextcloud version: 29.0.2
Operating system and version: Ubuntu 22.04
Apache or nginx version: Apache/2.4.52
PHP version: 8.2.20
LXC behind Nginx reverse proxy

The issue you are facing:
After updating nc 28->29, these 2 error messages appear regularly

Is this the first time you’ve seen this error? (Y/N): Y

Nextcloud log:

[PHP] Fehler: unlink(/home/data/appdata_ocdb2agbdy73/richdocuments/remoteData/capabilities): No such file or directory at /var/www/nextcloud/lib/private/Files/Storage/Local.php#348
	GET /ocs/v2.php/apps/notifications/api/v2/notifications?format=json

[no app in context] Fatal: Could not boot richdocuments: /appdata_ocdb2agbdy73/richdocuments/remoteData/capabilities
	GET /ocs/v2.php/apps/user_status/api/v1/user_status?format=json

The output of your config.php file:

$CONFIG = array (
  'instanceid' => 'xxx',
  'passwordsalt' => 'xxx',
  'secret' => 'xxx',
  'trusted_domains' => 
  array (
    0 => '192.168.24.32',
    1 => 'xxx',
  ),
  'trusted_proxies' => 
  array (
    0 => '192.168.24.30',
    1 => '127.0.0.1',
    2 => '::1',
  ),
  'datadirectory' => '/home/data/',
  'dbtype' => 'mysql',
  'version' => '29.0.2.2',
  'overwrite.cli.url' => 'http://192.168.24.32',
  'forwarded_for_headers' => 
  array (
    0 => 'HTTP_X_FORWARDED',
    1 => 'HTTP_FORWARDED_FOR',
  ),
  'dbname' => 'xxx',
  'dbhost' => 'localhost',
  'dbport' => '',
  'dbtableprefix' => 'oc_',
  'mysql.utf8mb4' => true,
  'dbuser' => 'xxx',
  'dbpassword' => 'xxx',
  'installed' => true,
  'mail_domain' => 'xx',
  'mail_smtpmode' => 'smtp',
 'mail_sendmailmode' => 'smtp',
  'mail_from_address' => 'xxx',
  'mail_smtphost' => 'xxx',
  'mail_smtpport' => '465',
  'mail_smtpauth' => 1,
  'mail_smtpname' => 'xxx',
  'mail_smtppassword' => 'xxx',
  'default_phone_region' => 'DE',
  'default_language' => 'de',
  'default_locale' => 'de_DE',
  'memcache.local' => '\\OC\\Memcache\\APCu',
  'filelocking.enabled' => true,
  'memcache.locking' => '\\OC\\Memcache\\Redis',
  'redis' => 
  array (
    'host' => '/var/run/redis/redis.sock',
    'port' => 0,
    'timeout' => 0.0,
  ),
  'maintenance' => false,
  'maintenance_window_start' => 1,
  'theme' => '',
  'loglevel' => 0,
  'mail_smtpsecure' => 'ssl',
  'versions_retention_obligation' => 'auto, 60',
  'trashbin_retention_obligation' => 'auto, 30',
);

Thank you

Does anyone have a solution to this problem? I have the same problem after update to N29.

An example for my nexcloud.log

{“reqId”:“ZnkklCfG15nlUmlu3kDSHwAAAAU”,“level”:3,“time”:“2024-06-24T07:47:32+00:00”,“remoteAddr”:“xxxxxxx”,“user”:“4FD9C28D-AB01-4E7D-8E65-A54271EF626A”,“app”:“PHP”,“method”:“GET”,“url”:“/ocs/v2.php/apps/notifications/api/v2/notifications”,“message”:“unlink(/dati/data/appdata_ocv0jo5uexc4/richdocuments/remoteData/discovery): No such file or directory at /var/www/html/nextcloud/lib/private/Files/Storage/Local.php#348”,“userAgent”:“Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/126.0.0.0 Safari/537.36”,“version”:“29.0.2.2”,“data”:{“app”:“PHP”}

{“reqId”:“Znkj4ifG15nlUmlu3kDSCwAAAAU”,“level”:4,“time”:“2024-06-24T07:44:34+00:00”,“remoteAddr”:“xxxxxx”,“user”:“xxxxxx”,“app”:“no app in context”,“method”:“GET”,“url”:“/ocs/v2.php/apps/notifications/api/v2/notifications?format=json”,“message”:“Could not boot richdocuments: /appdata_ocv0jo5uexc4/richdocuments/remoteData/discovery”,“userAgent”:“Mozilla/5.0 (Windows) mirall/3.13.0stable-Win64 (build 20240423) (Nextcloud, windows-10.0.19045 ClientArchitecture: x86_64 OsArchitecture: x86_64)”,“version”:“29.0.2.2”,“exception”:{“Exception”:“OCP\Files\NotFoundException”,“Message”:“/appdata_ocv0jo5uexc4/richdocuments/remoteData/discovery”,“Code”:0,“Trace”:[{“file”:“/var/www/html/nextcloud/lib/private/Files/Node/Folder.php”,“line”:135,“function”:“get”,“class”:“OC\Files\Node\Root”,“type”:“->”},{“file”:“/var/www/html/nextcloud/lib/private/Files/SimpleFS/SimpleFolder.php”,“line”:75,“function”:“get”,“class”:“OC\Files\Node\Folder”,“type”:“->”},{“file”:“/var/www/html/nextcloud/apps/richdocuments/lib/Service/CachedRequestService.php”,“line”:89,“function”:“getFile”,“class”:“OC\Files\SimpleFS\SimpleFolder”,“type”:“->”},{“file”:“/var/www/html/nextcloud/apps/richdocuments/lib/AppInfo/Application.php”,“line”:206,“function”:“resetCache”,“class”:“OCA\Richdocuments\Service\CachedRequestService”,“type”:“->”},{“file”:“/var/www/html/nextcloud/apps/richdocuments/lib/AppInfo/Application.php”,“line”:165,“function”:“checkAndEnableCODEServer”,“class”:“OCA\Richdocuments\AppInfo\Application”,“type”:“->”},{“file”:“/var/www/html/nextcloud/lib/private/AppFramework/Bootstrap/Coordinator.php”,“line”:200,“function”:“boot”,“class”:“OCA\Richdocuments\AppInfo\Application”,“type”:“->”},{“file”:“/var/www/html/nextcloud/lib/private/App/AppManager.php”,“line”:437,“function”:“bootApp”,“class”:“OC\AppFramework\Bootstrap\Coordinator”,“type”:“->”},{“file”:“/var/www/html/nextcloud/lib/private/App/AppManager.php”,“line”:216,“function”:“loadApp”,“class”:“OC\App\AppManager”,“type”:“->”},{“file”:“/var/www/html/nextcloud/lib/private/legacy/OC_App.php”,“line”:128,“function”:“loadApps”,“class”:“OC\App\AppManager”,“type”:“->”},{“file”:“/var/www/html/nextcloud/ocs/v1.php”,“line”:60,“function”:“loadApps”,“class”:“OC_App”,“type”:“::”},{“file”:“/var/www/html/nextcloud/ocs/v2.php”,“line”:23,“args”:[“/var/www/html/nextcloud/ocs/v1.php”],“function”:“require_once”}],“File”:“/var/www/html/nextcloud/lib/private/Files/Node/Root.php”,“Line”:212,“message”:“Could not boot richdocuments: /appdata_ocv0jo5uexc4/richdocuments/remoteData/discovery”,“exception”:{},“CustomMessage”:“Could not boot richdocuments: /appdata_ocv0jo5uexc4/richdocuments/remoteData/discovery”}}

sounds one or more files are missing. I would recommend you reinstall the Buit-in CODE server app (richdocumentscode) and maybe richdocuments as well…

Please note that nextcloud seems to be working fine but I see these errors in the logs and would like to clean them up. before the update to v.29 I didn’t have these errors and I didn’t make any configuration changes that would compromise the functioning of the two apps. My Collabora Online server is reachable. If so, how can I reinstall it? also richdocuments, is there a place where it is explained well?

Detail of my architetture:

Server version: Apache/2.4.52 (Ubuntu)
PHP 8.3.8 (cli)

This is my config.php

<?php $CONFIG = array ( 'instanceid' => 'xxxxxxxxxxxx', 'passwordsalt' => 'xxxxxxxxxxxx', 'secret' => 'xxxxxxxxxxxx', 'trusted_domains' => array ( 0 => '127.0.0.1', 1 => 'xxxxxxxxxxxxx', 2 => 'xxxxxxxxxxxx', ), 'datadirectory' => '/xxxxxxxxxxxx/', 'dbtype' => 'xxxxxxxxxxxx', 'version' => '29.0.2.2', 'overwrite.cli.url' => 'https://xxxxxxxxxxxx/', 'dbname' => 'xxxxxxxxxxxx', 'dbhost' => 'xxxxxxxxxxxx', 'dbport' => '', 'dbtableprefix' => 'oc_', 'mysql.utf8mb4' => true, 'dbuser' => 'xxxxxxxxxxxx', 'dbpassword' => 'xxxxxxxxxxxx', 'installed' => true, 'default_phone_region' => 'IT', 'maintenance' => false, 'ldapProviderFactory' => 'OCA\\User_LDAP\\LDAPProviderFactory', 'mail_from_address' => 'xxxxxxxxxxxx', 'mail_smtpmode' => 'smtp', 'mail_sendmailmode' => 'smtp', 'mail_domain' => 'xxxxxxxxxxxx', 'mail_smtphost' => 'xxxxxxxxxxxx', 'mail_smtpport' => '465', 'mail_smtpauth' => 1, 'mail_smtpname' => 'xxxxxxxxxxxx', 'mail_smtppassword' => 'xxxxxxxxxxxx', 'mail_smtpsecure' => 'ssl', 'maintenance_window_start' => 1, 'memcache.local' => '\\OC\\Memcache\\APCu', 'theme' => '', 'loglevel' => 3, 'filelocking.enabled' => 'true', 'memcache.distributed' => '\\OC\\Memcache\\Redis', 'memcache.locking' => '\\OC\\Memcache\\Redis', 'redis' => array ( 'host' => 'xxxxxxxxxxxx', 'port' => xxxxxxxxxxxx, ), 'twofactor_enforced' => 'false', 'twofactor_enforced_groups' => array ( ), 'twofactor_enforced_excluded_groups' => array ( ), 'has_rebuilt_cache' => true, 'app_install_overwrite' => array ( 0 => 'wopi', 1 => 'appointments', 2 => 'files_bpm', 3 => 'carnet', 4 => 'groupfolders', 5 => 'quicknotes', 6 => 'workspace', ), 'defaultapp' => '', );

Has anyone found any applicable solutions to this problem? Anyone have any positive news?

1 Like

Having the same issue. Any suggestions?

Reinstalling richdocuments resolved this issue for my instance. Thanks!

1 Like

Are all of you having this problem also using Redis, but lacking a line like the following in your config?

'memcache.distributed' => '\OC\Memcache\Redis',

https://docs.nextcloud.com/server/latest/admin_manual/configuration_server/caching_configuration.html#organizations-with-single-server

I ask because the error suggests to me maybe a weird interaction with using APCu as the fallback distributed memcache, but I’m on my phone at the moment so I can’t look too closely.

https://docs.nextcloud.com/server/latest/admin_manual/configuration_server/caching_configuration.html#redis-configuration-in-nextcloud-config-php

Done but not work fine in my istance…
I’m quite disappointed

Any news for my problems? Nothing has found a solution for this?

I mean… I posted question to try to isolate the issue. What is your memcache.distributed set to?

Hi my config file nextcloud is this


<?php
$CONFIG = array (
  'instanceid' => 'xxxxxxxxxxxxx',
  'passwordsalt' => 'xxxxxxxxxxx',
  'secret' => 'xxxxxxxxxxx',
  'trusted_domains' =>
  array (
    0 => '127.0.0.1',
    1 => 'xxxxxxxxxxx',
    2 => 'nextcloud.xxxxxxxxxxx',
  ),
  'datadirectory' => '/dati/data/',
  'dbtype' => 'mysql',
  'version' => '29.0.3.4',
  'overwrite.cli.url' => 'https://nextcloud.xxxxxxxxxxx/',
  'dbname' => 'nextcloud',
  'dbhost' => 'localhost',
  'dbport' => '',
  'dbtableprefix' => 'oc_',
  'mysql.utf8mb4' => true,
  'dbuser' => 'nextcloud',
  'dbpassword' => 'xxxxxxxxxxx',
  'installed' => true,
  'default_phone_region' => 'xx',
  'maintenance' => false,
  'ldapProviderFactory' => 'OCA\\User_LDAP\\LDAPProviderFactory',
  'mail_from_address' => 'nextcloud',
  'mail_smtpmode' => 'smtp',
  'mail_sendmailmode' => 'smtp',
  'mail_domain' => 'xxxxxxxxxxx',
  'mail_smtphost' => 'mx.xxxxxxxxxxx',
  'mail_smtpport' => '465',
  'mail_smtpauth' => 1,
  'mail_smtpname' => 'nextcloud@xxxxxxxxxxx',
  'mail_smtppassword' => 'xxxxxxxxxxx',
  'mail_smtpsecure' => 'ssl',
  'maintenance_window_start' => 1,
  'memcache.local' => '\\OC\\Memcache\\APCu',
  'theme' => '',
  'loglevel' => 3,
  'filelocking.enabled' => 'true',
  'memcache.distributed' => '\\OC\\Memcache\\Redis',
  'memcache.locking' => '\\OC\\Memcache\\Redis',
  'redis' =>
  array (
    'host' => 'localhost',
    'port' => 6379,
  ),
    ),
  'twofactor_enforced' => 'false',
  'twofactor_enforced_groups' =>
  array (
  ),
  'twofactor_enforced_excluded_groups' =>
  array (
  ),
  'has_rebuilt_cache' => true,
  'app_install_overwrite' =>
  array (
    0 => 'wopi',
    1 => 'appointments',
    2 => 'files_bpm',
    3 => 'carnet',
    4 => 'groupfolders',
    5 => 'quicknotes',
    6 => 'workspace',
  ),
  'defaultapp' => '',
);

The line is configured.

Suggestion for me?

Are you sure you are running the latest Nextcloud Office (richdocuments) version (8.4.3)? This line suggests you’re running the previous version. Please check your Apps list.

These are my installed apps

sudo -u www-data php --define apc.enable_cli=1  /var/www/html/nextcloud/occ app:list
Enabled:
  - activity: 2.21.1
  - admin_audit: 1.19.0
  - announcementcenter: 6.8.1
  - appointments: 2.1.4
  - bruteforcesettings: 2.9.0
  - calendar: 4.7.8
  - circles: 29.0.0-dev
  - cloud_federation_api: 1.12.0
  - comments: 1.19.0
  - contacts: 6.0.0
  - contactsinteraction: 1.10.0
  - dav: 1.30.1
  - deck: 1.13.1
  - federatedfilesharing: 1.19.0
  - federation: 1.19.0
  - files: 2.1.0
  - files_accesscontrol: 1.19.1
  - files_downloadlimit: 2.0.0
  - files_lock: 29.0.1
  - files_pdfviewer: 2.10.0
  - files_reminders: 1.2.0
  - files_sharing: 1.21.0
  - files_trashbin: 1.19.0
  - files_versions: 1.22.0
  - firstrunwizard: 2.18.0
  - forms: 4.2.4
  - group_default_quota: 0.1.9
  - groupfolders: 17.0.1
  - logreader: 2.14.0
  - lookup_server_connector: 1.17.0
  - nextcloud_announcements: 1.18.0
  - notifications: 2.17.0
  - oauth2: 1.17.0
  - password_policy: 1.19.0
  - photos: 2.5.0
  - privacy: 1.13.0
  - provisioning_api: 1.19.0
  - quicknotes: 0.8.23
  - quota_warning: 1.19.0
  - recommendations: 2.1.0
  - related_resources: 1.4.0
  - richdocuments: 8.4.3
  - richdocumentscode: 24.4.402
  - serverinfo: 1.19.0
  - settings: 1.12.0
  - sharebymail: 1.19.0
  - spreed: 19.0.4
  - survey_client: 1.17.0
  - systemtags: 1.19.0
  - text: 3.10.1
  - theming: 2.4.0
  - twofactor_backupcodes: 1.18.0
  - updatenotification: 1.19.1
  - user_ldap: 1.20.0
  - user_status: 1.9.0
  - viewer: 2.3.0
  - workflowengine: 2.11.0
  - workspace: 3.2.0
Disabled:
  - carnet: 0.25.4 (installed 0.25.4)
  - dashboard: 7.9.0 (installed 7.8.0)
  - encryption: 2.17.0 (installed 2.16.0)
  - files_bpm: 1.4.0 (installed 1.4.0)
  - files_external: 1.21.0
  - officeonline: 2.2.1 (installed 2.2.1)
  - support: 1.12.0 (installed 1.11.0)
  - suspicious_login: 7.0.0
  - twofactor_totp: 11.0.0-dev
  - weather_status: 1.9.0 (installed 1.8.0)

My apologies regarding the version difference. I was looking at the current dev version. That line of code still exists in the release version. :slight_smile:

It’s extremely difficult to read/parse/reformat your posted stack trace, since you didn’t wrap it as preformatted text. Any chance you can clean that up, like you did for your config re-post?

These are the result of command cli for view the version app installed

Enabled:

  • activity: 2.21.1
  • admin_audit: 1.19.0
  • announcementcenter: 6.8.1
  • appointments: 2.1.4
  • bruteforcesettings: 2.9.0
  • calendar: 4.7.8
  • circles: 29.0.0-dev
  • cloud_federation_api: 1.12.0
  • comments: 1.19.0
  • contacts: 6.0.0
  • contactsinteraction: 1.10.0
  • dav: 1.30.1
  • deck: 1.13.1
  • federatedfilesharing: 1.19.0
  • federation: 1.19.0
  • files: 2.1.0
  • files_accesscontrol: 1.19.1
  • files_downloadlimit: 2.0.0
  • files_lock: 29.0.1
  • files_pdfviewer: 2.10.0
  • files_reminders: 1.2.0
  • files_sharing: 1.21.0
  • files_trashbin: 1.19.0
  • files_versions: 1.22.0
  • firstrunwizard: 2.18.0
  • forms: 4.2.4
  • group_default_quota: 0.1.9
  • groupfolders: 17.0.1
  • logreader: 2.14.0
  • lookup_server_connector: 1.17.0
  • nextcloud_announcements: 1.18.0
  • notifications: 2.17.0
  • oauth2: 1.17.0
  • password_policy: 1.19.0
  • photos: 2.5.0
  • privacy: 1.13.0
  • provisioning_api: 1.19.0
  • quicknotes: 0.8.23
  • quota_warning: 1.19.0
  • recommendations: 2.1.0
  • related_resources: 1.4.0
  • richdocuments: 8.4.3
  • richdocumentscode: 24.4.402
  • serverinfo: 1.19.0
  • settings: 1.12.0
  • sharebymail: 1.19.0
  • spreed: 19.0.4
  • survey_client: 1.17.0
  • systemtags: 1.19.0
  • text: 3.10.1
  • theming: 2.4.0
  • twofactor_backupcodes: 1.18.0
  • updatenotification: 1.19.1
  • user_ldap: 1.20.0
  • user_status: 1.9.0
  • viewer: 2.3.0
  • workflowengine: 2.11.0
  • workspace: 3.2.0
    Disabled:
  • carnet: 0.25.4 (installed 0.25.4)
  • dashboard: 7.9.0 (installed 7.8.0)
  • encryption: 2.17.0 (installed 2.16.0)
  • files_bpm: 1.4.0 (installed 1.4.0)
  • files_external: 1.21.0
  • officeonline: 2.2.1 (installed 2.2.1)
  • support: 1.12.0 (installed 1.11.0)
  • suspicious_login: 7.0.0
  • twofactor_totp: 11.0.0-dev
  • weather_status: 1.9.0 (installed 1.8.0)

Any news for me by member group?

1 Like

Exactly the same problem here. Tried to uninstall both app and reinstall. Nothing changed.

Same for me also. No joy on uninstall/reinstall App still works ok, although performance may be impacted a bit.

Please have a look on Github:

maybe your issue is mentioned there. Otherwise open a bug-report there.